package TC_Dashboard;

import org.openqa.selenium.By;
import org.openqa.selenium.Keys;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.interactions.Actions;
import org.testng.Assert;
import org.testng.annotations.Test;

import baseclass.TestBase;

public class TC_Dashboards extends TestBase 
{
	
	//@Test
	public void TC_01_02_03()
	{
		boolean dashboard_isDisplayed= driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div[1]/div/div/h3")).isDisplayed();
		Assert.assertTrue(dashboard_isDisplayed);
	}
	
//	@Test
	public void TC_04()
	{
		//---pending tasks
		String pending_task = driver.findElement(By.xpath("//h5[text()=\"109\"]")).getText();
		
		int pending_tasks1=Integer.parseInt(pending_task);
		System.out.println(pending_tasks1);
		//----Working Tasks
		String working_tasks = driver.findElement(By.xpath("//h5[text()=\"21\"]")).getText();
		int workingtask1 = Integer.parseInt(working_tasks);
		System.out.println(workingtask1);
		//---completed tasks
		String completed_tasks = driver.findElement(By.xpath("//h5[text()=\"71\"]")).getText();
		int completedtask1 = Integer.parseInt(completed_tasks);
		System.out.println(completedtask1);
		//----Total tasks
		String total_task = driver.findElement(By.xpath("//h5[text()=\"201\"]")).getText();
		int total_task1 = Integer.parseInt(total_task);
		System.out.println(total_task1);
		
	      int sum_of_tasks = completedtask1+workingtask1+pending_tasks1;
	      System.out.println(sum_of_tasks);
	      Assert.assertEquals(sum_of_tasks,total_task1 );
		
	}
	//@Test
	public void TC_06()
	{
		String my_tasks = driver.findElement(By.xpath("//*[@id=\"mytask-layout\"]/div[2]/div[2]/div/div[3]/div[4]/div/div[1]/h5")).getText();
		Assert.assertEquals(my_tasks,"My Tasks");
	}
	
	//@Test
	public void TC_08()
	{
		boolean ticketID_TaskName_isDisplaying = driver.findElement(By.xpath("//*[@id=\"mytask-layout\"]/div[2]/div[2]/div/div[3]/div[4]/div/div[2]/div/div/div[1]/div/a/h6")).isDisplayed();
		Assert.assertTrue(ticketID_TaskName_isDisplaying);
	}
	
	//@Test
	public void TC_09() throws InterruptedException
	{
		d.click_on_reports();
		Thread.sleep(3000);
		d.click_on_resource_planning();
		WebElement select_user = driver.findElement(By.xpath("//div[@class=\"select__input-container css-ackcql\"]"));
		Actions actn = new Actions(driver);
		actn.click(select_user).pause(10).sendKeys("Saurabh Shelke"+Keys.ENTER).build().perform();
		Thread.sleep(3000);
		driver.findElement(By.xpath("//input[@name=\"from_date\"]")).sendKeys("11/30/2022");
		Thread.sleep(3000);
		driver.findElement(By.xpath("//input[@name=\"to_date\"]")).sendKeys("11/30/2022"+Keys.ENTER);
		driver.findElement(By.xpath("//button[@class=\"btn btn-sm btn-warning text-white\"]")).click();
		Thread.sleep(3000);
		driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div[3]/div/div/div/div[1]/div/div/div[2]/div/div[1]/button/svg/path[1]")).click();
		String todays_task = driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div[3]/div/div/div/div[1]/div/div/div[2]/div[2]/pre/table/tbody/tr/td[2]")).getText();
		Thread.sleep(2000);
		driver.findElement(By.xpath("//span[text()=\"Dashboard\"]")).click();
	    String displaying_todays_task = driver.findElement(By.xpath("//h6[@class=\"fw-bold mb-0 small-14\"]")).getText();
	    Assert.assertEquals(todays_task, displaying_todays_task);
	}
	//@Test
	public void TC_10() throws InterruptedException
	{
		driver.findElement(By.xpath("//*[@id=\"mytask-layout\"]/div[2]/div[2]/div/div[3]/div[2]/div/div[2]/div/div/div[4]/button")).click();
		Thread.sleep(3000);
		boolean pause_button = driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div[3]/div[1]/div/div[2]/div/div/div[4]")).isDisplayed();
		Assert.assertTrue(pause_button);
	}
	
	
	
	//@Test
	public void TC_11()
	{
		boolean task_status = driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div[3]/div[2]/div/div[2]/div/div/div[2]/span")).isEnabled();
		Assert.assertTrue(task_status);
	}
	
	//@Test
	public void TC_12() throws InterruptedException
	{
		d.click_on_Ticket();
		Thread.sleep(3000);
		d.click_on_myTicket();
		Thread.sleep(3000);
		d.click_on_my_task();
		driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div[3]/div/div/div/div/div[4]/div/div/div[1]/div/div/div[2]/div[1]/div[1]/div/button")).click();
		Thread.sleep(3000);
		driver.findElement(By.xpath("//*[@id=\"cell-1-4124\"]/div/ul/li[3]/a")).click();
		Thread.sleep(3000);
		String todays_task = driver.findElement(By.xpath("//*[@id=\"mytask-layout\"]/div[2]/div[2]/div/div[4]/div/div[4]/div[2]/div/h6")).getText();
	    driver.findElement(By.xpath("//span[text()=\"Dashboard\"]")).click();
	    String displaying_todays_task = driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div[3]/div[4]/div/div[2]/div/div[2]/div[1]/div/a/h6")).getText();
		Assert.assertNotSame(todays_task, displaying_todays_task);
}
	
	//@Test
	public void TC_14()
	{
		driver.findElement(By.xpath("//*[@id=\"mytask-layout\"]/div[2]/div[2]/div/div[3]/div[4]/div/div[2]/div/div[1]/div[3]/span")).isDisplayed();
	}
	
	//@Test
	public void TC_15()
	{
		boolean pending_task_is_displayed = driver.findElement(By.xpath("//h5[text()=\"Pending Tasks\"]")).isDisplayed();
		Assert.assertTrue(pending_task_is_displayed);
	}
	//@Test
	public void TC_20()
	{
		boolean priority = driver.findElement(By.xpath("//*[@id=\"mytask-layout\"]/div[2]/div[2]/div/div[3]/div[4]/div/div[2]/div/div[1]/div[3]/span")).isEnabled();
	    Assert.assertFalse(priority);
	}
	//@Test
	public void TC_21()
	{
		boolean date = driver.findElement(By.xpath("//span[@class=\"badge bg-danger\"]")).isDisplayed();
	    Assert.assertTrue(date);
	}
	@Test
	public void TC_24()
	{
		boolean pie_chart_isDisplayed = driver.findElement(By.xpath("//*[@id=\"mytask-layout\"]/div[2]/div[2]/div/div[3]/div[3]/div/div[1]/h6")).isDisplayed();
	    Assert.assertTrue(pie_chart_isDisplayed);
	}
}
