 package TC_Tenant_Master;

import org.openqa.selenium.By;
import org.openqa.selenium.JavascriptExecutor;
import org.openqa.selenium.Keys;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.interactions.Actions;
import org.testng.Assert;
import org.testng.annotations.Test;

import baseclass.TestBase;

public class TC_Tenant_Master extends TestBase 
{
 
	@Test
	 public void TC_01_02_03_04()
	 {
		JavascriptExecutor js = (JavascriptExecutor) driver;
        js.executeScript("window.scrollBy(0,550)", "");
		 tm.click_on_tenant_master();
		 boolean search_box = driver.findElement(By.xpath("//input[@class=\"form-control\"]")).isDisplayed();
		 Assert.assertTrue(search_box);
	 }
	
	 @Test
	public void TC_04_05()
	{
		JavascriptExecutor js = (JavascriptExecutor) driver;
        js.executeScript("window.scrollBy(0,550)", "");
		 tm.click_on_tenant_master();
		 boolean search_box = driver.findElement(By.xpath("//input[@class=\"form-control\"]")).isDisplayed();
		 Assert.assertTrue(search_box);
		 boolean reset_button = driver.findElement(By.xpath("//button[@class=\"btn btn-sm btn-info text-white\"]")).isDisplayed();
		 Assert.assertTrue(reset_button);
	}
	 
	 @Test
	 public void TC_06_07() throws InterruptedException
	 {
		 JavascriptExecutor js = (JavascriptExecutor) driver;
	        js.executeScript("window.scrollBy(0,650)", "");
	        
			 tm.click_on_tenant_master();
			 Thread.sleep(3000);
			 tm.enter_on_search_field();
			 Thread.sleep(3000);
			 tm.click_on_search_button();
			 String search_record = driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div[2]/div/div[1]/input")).getText();
	         String filtered_record = driver.findElement(By.xpath("//div[@id=\"cell-3-4\"]")).getText();
	       Assert.assertEquals(search_record,filtered_record);
	 }
	 
	 @Test
	 
	 public void TC_10() throws InterruptedException
	 {
		 JavascriptExecutor js = (JavascriptExecutor) driver;
	        js.executeScript("window.scrollBy(0,650)", "");
	        
			 tm.click_on_tenant_master();
			 Thread.sleep(3000);
			 tm.enter_on_search_field();
			 Thread.sleep(3000);
			 tm.click_on_search_button();
			 Thread.sleep(2000);
			tm.clkick_on_reset_button();
			WebElement search_trext_field = driver.findElement(By.xpath("//input[@class=\"form-control\"]"));
			Assert.assertNotNull(search_trext_field);
			
	}
	 
	 @Test
	 public void TC_21_22_23() throws InterruptedException
	 {
		 JavascriptExecutor js = (JavascriptExecutor) driver;
	        js.executeScript("window.scrollBy(0,650)", "");
	        
			 tm.click_on_tenant_master();
			 Thread.sleep(3000);
			 tm.click_on_add_tenant();
			 
			 String add_tenant_page_name = driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div/div/div/h3")).getText();
			 Assert.assertEquals(add_tenant_page_name,"Add Tenant");
	}
	 
	 @Test
	 public void TC_24() throws InterruptedException
	 {
		 //WebElement tenant_master = driver.findElement(By.xpath("//span[text()=\"Tenant Master\"]"));
		 //Actions actn = new Actions(driver);
		// actn.moveToElement(tenant_master).build().perform();
		// Thread.sleep(3000);
		 JavascriptExecutor js = (JavascriptExecutor) driver;
	        js.executeScript("window.scrollBy(0,650)", "");
	        
			 tm.click_on_tenant_master();
			 Thread.sleep(3000);
			 tm.click_on_add_tenant();
         boolean tenant_name = driver.findElement(By.xpath("//input[@id=\"company_name\"]")).isDisplayed();
         Assert.assertTrue(tenant_name);
         
	 }
	 
	 @Test
	 public void TC_25() throws InterruptedException
	 { 
		 JavascriptExecutor js = (JavascriptExecutor) driver;
        js.executeScript("window.scrollBy(0,650)", "");
     
		 tm.click_on_tenant_master();
		 Thread.sleep(3000);
		 tm.click_on_add_tenant();
		 Thread.sleep(3000);
		 driver.findElement(By.xpath("//input[@id=\"company_name\"]")).sendKeys("techneAi"+Keys.TAB);
		 WebElement comtype = driver.findElement(By.id("company_type"));
		 Actions act = new Actions(driver);
		 act.click(comtype).pause(10).sendKeys("Private Limited Company"+Keys.ENTER).build().perform();
		 driver.findElement(By.xpath("//input[@id=\"email_id\"]")).sendKeys("saurabh.shelke@techneai.com");
		 driver.findElement(By.xpath("//input[@id=\"contact_no\"]")).sendKeys("8766731148");
		 driver.findElement(By.xpath("//textarea[@id=\"address\"]")).sendKeys("Pune");
		 Thread.sleep(3000);
		 driver.findElement(By.xpath("//input[@id=\"pincode\"]")).sendKeys("411038"+Keys.ENTER);
		 WebElement select_country = driver.findElement(By.xpath("(//div[@class=\" css-ackcql\"])[2]"));
		 act.click(select_country).pause(10).sendKeys("India"+Keys.ENTER).build().perform();
		 Thread.sleep(3000);
		 WebElement select_city = driver.findElement(By.xpath("(//div[@class=\" css-ackcql\"])[4]"));
		 act.click(select_city).pause(10).sendKeys("Pune"+Keys.ENTER).build().perform();
		 Thread.sleep(3000);
		 WebElement select_state = driver.findElement(By.xpath("(//div[@class=\" css-ackcql\"])[3]"));
		 act.click(select_state).pause(10).sendKeys("Maharashtra"+Keys.ENTER).build().perform();
	
	}
	 @Test
	 public void TC_26() throws InterruptedException
	 {
		 JavascriptExecutor js = (JavascriptExecutor) driver;
	        js.executeScript("window.scrollBy(0,650)", "");
	     
			 tm.click_on_tenant_master();
			 Thread.sleep(3000);
			 tm.click_on_add_tenant();
			 Thread.sleep(5000);
			 tm.click_on_add_submit_tenant();
			 WebElement tenanat = driver.findElement(By.xpath("//input[@id=\"company_name\"]"));
			 Assert.assertNull(tenanat);
	 }
	 
	 @Test
	 public void TC_56() throws InterruptedException
	 {
		 JavascriptExecutor js = (JavascriptExecutor) driver;
	        js.executeScript("window.scrollBy(0,650)", "");
	     
			 tm.click_on_tenant_master();
			 Thread.sleep(3000);
			 tm.click_on_add_tenant();
			 Thread.sleep(3000);
			 driver.findElement(By.xpath("//input[@id=\"company_name\"]")).sendKeys("techneAi"+Keys.TAB);
			 WebElement comtype = driver.findElement(By.id("company_type"));
			 Actions act = new Actions(driver);
			 act.click(comtype).pause(10).sendKeys("Private Limited Company"+Keys.ENTER).build().perform();
			 driver.findElement(By.xpath("//input[@id=\"email_id\"]")).sendKeys("saurabh.shelke@techneai.com");
			 driver.findElement(By.xpath("//input[@id=\"contact_no\"]")).sendKeys("8766731148");
			 driver.findElement(By.xpath("//textarea[@id=\"address\"]")).sendKeys("Pune");
			 Thread.sleep(3000);
			 driver.findElement(By.xpath("//input[@id=\"pincode\"]")).sendKeys("411038"+Keys.ENTER);
			 WebElement select_country = driver.findElement(By.xpath("(//div[@class=\" css-ackcql\"])[2]"));
			 act.click(select_country).pause(10).sendKeys("India"+Keys.ENTER).build().perform();
			 Thread.sleep(3000);
			 WebElement select_city = driver.findElement(By.xpath("(//div[@class=\" css-ackcql\"])[4]"));
			 act.click(select_city).pause(10).sendKeys("Pune"+Keys.ENTER).build().perform();
			 Thread.sleep(3000);
			 WebElement select_state = driver.findElement(By.xpath("(//div[@class=\" css-ackcql\"])[3]"));
			 act.click(select_state).pause(10).sendKeys("Maharashtra"+Keys.ENTER).build().perform();
			 Thread.sleep(3000);
			 tm.click_on_cancel_button();
			 boolean redirect_to_tenant_master_page = driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div[1]/div/div/h3")).isDisplayed();
			 Assert.assertTrue(redirect_to_tenant_master_page);
			 
	 }
	 @Test
	 public void TC_57_58_59() throws InterruptedException
	 {
		 JavascriptExecutor js = (JavascriptExecutor) driver;
	        js.executeScript("window.scrollBy(0,650)", "");
	     
			 tm.click_on_tenant_master();
			 Thread.sleep(3000);
			// tm.click_on_add_tenant();
			 Thread.sleep(3000); 
			 tm.click_on_edit_tenant();
			 boolean redirected_edit_tenat_page = driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div/div/div/h3")).isDisplayed();
			 Assert.assertTrue(redirected_edit_tenat_page);
	 }
	 
	 @Test
	 public void TC_60_61() throws InterruptedException
	 {
		 JavascriptExecutor js = (JavascriptExecutor) driver;
	        js.executeScript("window.scrollBy(0,650)", "");
	     
			 tm.click_on_tenant_master();
			 Thread.sleep(3000);
			// tm.click_on_add_tenant();
			 Thread.sleep(3000); 
			 tm.click_on_edit_tenant();
			 Thread.sleep(3000);
			 driver.findElement(By.xpath("//input[@id=\"company_name\"]")).sendKeys("techneAi"+Keys.TAB);
			 WebElement comtype = driver.findElement(By.id("company_type"));
			 Actions act = new Actions(driver);
			 act.click(comtype).pause(10).sendKeys("Private Limited Company"+Keys.ENTER).build().perform();
			 Thread.sleep(3000);
			 tm.click_on_update_edited_record();
			 boolean redirecting_tenant_master = driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div[2]/div/div/h3")).isDisplayed();
			 Assert.assertTrue(redirecting_tenant_master);
	 }
	 
	 @Test
	 public void TC_62_63() throws InterruptedException
	 {
		 JavascriptExecutor js = (JavascriptExecutor) driver;
	        js.executeScript("window.scrollBy(0,650)", "");
	     
			 tm.click_on_tenant_master();
			 Thread.sleep(3000);
			// tm.click_on_add_tenant();
			 Thread.sleep(3000); 
			 tm.click_on_edit_tenant();
			 Thread.sleep(3000);
			 driver.findElement(By.xpath("//input[@id=\"company_name\"]")).sendKeys("techneAi"+Keys.TAB);
			 WebElement comtype = driver.findElement(By.id("company_type"));
			 Actions act = new Actions(driver);
			 act.click(comtype).pause(10).sendKeys("Private Limited Company"+Keys.ENTER).build().perform();
			 Thread.sleep(3000);
			 tm.click_on_update_edited_record();
			 Thread.sleep(3000);
			 String updater_name = driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div[4]/div/div[1]/div/div/div[2]/div[1]/div[7]/div")).getText();
			 Assert.assertEquals(updater_name,"Saurabh Shelke");
	
	 }
	 
	 
	 @Test
	 public void TC_64_65() throws InterruptedException
	 {
		 JavascriptExecutor js = (JavascriptExecutor) driver;
	        js.executeScript("window.scrollBy(0,650)", "");
	     
			 tm.click_on_tenant_master();
			 Thread.sleep(3000);
			// tm.click_on_add_tenant();
			 Thread.sleep(3000); 
			 tm.click_on_edit_tenant();
			 Thread.sleep(3000);
			 driver.findElement(By.xpath("//input[@id=\"company_name\"]")).sendKeys("techneAi"+Keys.TAB);
			 WebElement comtype = driver.findElement(By.id("company_type"));
			 Actions act = new Actions(driver);
			 act.click(comtype).pause(10).sendKeys("Private Limited Company"+Keys.ENTER).build().perform();
			 Thread.sleep(3000);
			 tm.click_on_update_edited_record();
			 Thread.sleep(3000);
			 driver.findElement(By.xpath("//div[text()=\"Name\"]")).click();
			 Thread.sleep(5000);
			 driver.findElement(By.xpath("//div[text()=\"Name\"]")).click();
			 
	 }
	 
	
	
	
}