package DashBoard;

import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;

import baseclass.TestBase;

public class Dashboard extends TestBase 
{
   public Dashboard()
   {
	   PageFactory.initElements(driver,this);
   }
   
  //---WebElement of Reports Module
   @FindBy(xpath="//span[text()=\"Reports\"]")
   private WebElement reports;
   public void click_on_reports()
   {
	   reports.click();
   }
   
   //----WebElement of Resource planning report
   @FindBy(xpath="//*[@id=\"menu-Pages4\"]/li[2]/a/span")
   private WebElement resource_planning;
   public void click_on_resource_planning()
   {
	   resource_planning.click();
   }
   
   //----WebElement of select_user
   @FindBy(xpath="//div[@class=\"select__input-container css-ackcql\"]")
    private WebElement select_user;
     public void click_on_select_user()
     {
    	 select_user.click(); 
     }
     
     //--WebElement of ticket
     @FindBy(xpath="//span[text()=\"Ticket\"]")
     private WebElement ticket;
     public void click_on_Ticket()
     {
    	 ticket.click();
     }
     
     //---WebElement of my_ticket
     @FindBy(xpath="//*[@id=\"menu-Pages2\"]/li[1]/a/span")
     private WebElement my_ticket;
     public void click_on_myTicket()
     {
    	 my_ticket.click(); 
     }
     
     //---WebElement of my_task
     @FindBy(xpath="//button[text()=\"Your Task\"]")
     private WebElement my_task;
     public void click_on_my_task()
     {
    	 my_task.click();
     }
	
	
	
}
